Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Class Log

    java.lang.Object
      |
      +--com.beasys.portal.Log

public class Log
extends java.lang.Object

Generic class for logging to your server. The default implementation logs to the WebLogic server log facility. You can subclass the methods in this class to log other devices.

See Also:
  `weblogic.common.LogServicesDef`, `WebLogicHelper`

Field Summary
`static int` | `LOG_DEBUG` Error level constant.
`static int` | `LOG_ERROR` Error level constant.
`static int` | `LOG_FATAL` Error level constant.
`static int` | `LOG_INFO` Error level constant.
`static int` | `LOG_SECURITY` /** Error level constant.
`static int` | `LOG_WARNING` Error level constant.

Constructor Summary
`Log()`

Method Summary
`static void` | `log(int aLevel, java.lang.String aMsg)` Write to the weblogic logs, with extra information added.
`static void` | `log(int aLevel, java.lang.String appName, java.lang.String aMsg)` Write to the logs, with extra information added.
`static void` | `log(java.lang.String aMsg)` Write to the logs, with extra information added.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG_DEBUG

    public static final int LOG_DEBUG

  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.debug(String) method.

### LOG_INFO

    public static final int LOG_INFO

  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.info(String) method.

### LOG_WARNING

    public static final int LOG_WARNING

  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.info(String) method.

### LOG_ERROR

    public static final int LOG_ERROR

  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.warning(String) method.

### LOG_FATAL

    public static final int LOG_FATAL

  Error level constant. This implementation maps to the weblogic.common.LogServicesDef.error(String) method.

### LOG_SECURITY

    public static final int LOG_SECURITY

  /** Error level constant. This implementation maps to the weblogic.common.LogServicesDef.security(String) method.

Constructor Detail

### Log

    public Log()

Method Detail

### log

    public static void log(java.lang.String aMsg)

  Write to the logs, with extra information added.
  Parameters:
    `String` - the message, if null it will be ignored.

### log

    public static void log(int aLevel,
                           java.lang.String aMsg)

  Write to the weblogic logs, with extra information added.
  Parameters:
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `String` - the message, if null it will ignore.

### log

    public static void log(int aLevel,
                           java.lang.String appName,
                           java.lang.String aMsg)

  Write to the logs, with extra information added.
  Parameters:
    `int` - aLevel Possible error levels are: LOG_DEBUG LOG_INFO LOG_WARNING LOG_ERROR LOG_FATAL LOG_SECURITY
    `appName` - the name of the application logging the message
    `String` - the message, if null it will ignore.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved